<html>

<head>
    <title></title>
    <meta charset="utf-8">
   
</head>

<body>
    <div>
        <div>
            <input type="checkbox" id="dia1" name="dia1" value="lunes" checked="checked" />
            <label for="dia1">Lunes</label>
        </div>
        <div>
            <input type="checkbox" id="dia2" name="dia2" value="martes" />
            <label for="dia2">Martes</label>
        </div>
        <div>
            <input type="checkbox" id="dia3" name="dia3" value="miercoles" />
            <label for="dia3">Miercoles</label>
        </div>
        <div>
            <input type="checkbox" id="dia4" name="dia4" value="jueves" />
            <label for="dia4">Jueves</label>
        </div>
        <div>
            <input type="checkbox" id="dia5" name="dia5" value="viernes" />
            <label for="dia5">Viernes</label>
        </div>
        <div>
            <input type="checkbox" id="dia6" name="dia6" value="sabado" />
            <label for="dia6">Sabado</label>
        </div>
        <div>
            <input type="checkbox" id="dia7" name="dia7" value="domingo" />
            <label for="dia7">Domingo</label>
        </div>
        <div>
            <input type="button" id="verDiasSeleccionados" value="Ver dias seleccionados">
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-1.12.2.min.js"
    integrity="sha256-lZFHibXzMHo3GGeehn1hudTAP3Sc0uKXBXAzHX1sjtk=" crossorigin="anonymous"></script>

    <script>
        
        $(document).ready(function () {

            // Comprobacion usando .prop() (jQuery > 1.6)
            if ($('#dia1').prop('checked')) {
                console.log("Checkbox seleccionado");
            }

            // Comprobacion usando .attr() (jQuery < 1.6)
            if ($('#dia1').attr('checked')) {
                console.log("Checkbox seleccionado");
            }

            // Comprobacion usando funcion .is()
            if ($('#dia1').is(':checked')) {
                console.log("Checkbox seleccionado");
            }

            // Comprobar cuando cambia un checkbox
            $('input[type=checkbox]').on('change', function () {
                if ($(this).is(':checked')) {
                    alert("Checkbox " + $(this).prop("id") + " (" + $(this).val() + ") => Seleccionado");
                } else {
                    alert("Checkbox " + $(this).prop("id") + " (" + $(this).val() + ") => Deseleccionado");
                }
            });

            // Comprobar cuando se deseleciona un checkbox
            $('input[type=checkbox]:checked').on('change', function () {
                console.log("Checkbox " + $(this).prop("id") + " (" + $(this).val() + ") => Deseleccionado");
            });


            // Comprobar los checkbox seleccionados
            $('#verDiasSeleccionados').on('click', function () {

                var diasSeleccionados = new Array();

                $('input[type=checkbox]:checked').each(function () {
                    diasSeleccionados.push($(this).val());
                });

                alert("Dias seleccionados => " + diasSeleccionados);
            });

        });
    </script>
</body>

</html>